View Issue Details

IDProjectCategoryView StatusLast Update
0000320WackoWikicachepublic2019-03-09 16:24
ReporteradministratorAssigned Toadministrator 
PrioritynormalSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version4.2 
Target Version5.5.9Fixed in Version5.5.9 
Summary0000320: page cache should also depend on language
Descriptionview caches should also depend on some other parameters like roles and user preferences
  * language

The user language defines the localization, the cache language.
The page language might be Greek but the user localization Portuguese.
Additional InformationThe available_languages() function does not really belong into the HTTP class, but is required by the function user_agent_language() -> task for future refactoring.
TagsNo tags attached.

Relationships

related to 0000221 resolvedadministrator cache issue & browser default language settings from guest 
related to 0000304 acknowledged PageViewCache 
related to 0000089 resolvedTann San Redirect non logged in users to the language that suits their system as default 
related to 0000430 resolvedadministrator cache patch 
child of 0000296 acknowledgedadministrator Guests should be able to choose their preferred GUI language. 

Issue History

Date Modified Username Field Change
2009-08-22 10:59 administrator New Issue
2009-08-22 10:59 administrator Status new => acknowledged
2009-08-22 11:00 administrator Relationship added related to 0000221
2009-08-22 11:00 administrator Relationship added related to 0000304
2009-08-22 11:02 administrator Relationship added related to 0000089
2010-03-08 10:11 administrator Category Cache => cache
2010-03-11 10:56 administrator Summary view caches should also depending on language and theme => view cache should also depending on language and theme
2011-10-07 14:04 administrator Relationship added child of 0000296
2012-10-20 05:12 administrator Relationship added related to 0000430
2014-03-21 14:57 administrator Target Version 5.4.0 => 5.5.0
2015-02-19 19:29 administrator Target Version 5.5.0 => 5.6.x
2018-08-06 14:37 administrator Target Version 5.6.x => 5.5.7
2019-01-14 14:21 administrator Target Version 5.5.7 => 5.5.8
2019-02-14 12:04 administrator Target Version 5.5.8 => 5.6.x
2019-03-09 13:48 administrator Assigned To => administrator
2019-03-09 13:48 administrator Status acknowledged => resolved
2019-03-09 13:48 administrator Resolution open => fixed
2019-03-09 13:48 administrator Fixed in Version => 5.5.9
2019-03-09 13:48 administrator Target Version 5.6.x => 5.5.9
2019-03-09 13:48 administrator Summary view cache should also depending on language and theme => page cache should also depend on language
2019-03-09 13:48 administrator Description Updated View Revisions
2019-03-09 13:55 administrator Additional Information Updated View Revisions
2019-03-09 13:55 administrator Note Added: 0001034
2019-03-09 14:05 administrator File Added: user_lang_dependend_cache.png
2019-03-09 16:24 administrator Note Edited: 0001034 View Revisions